import User from './user/User';
import Request from './../lib/request/Request';
import * as _misc from './../util/Misc';
export default class FrontendSDK {
    private static instance;
    private constructor();
    getUser(jwt: string): User;
    getRequest(endpoint: string): Request;
    get misc(): typeof _misc;
    static getInstance(): FrontendSDK;
    static isValidJWT(jwt: string): boolean;
    logoutUser(url: string): void;
    goToProfileSetting(url: string): void;
    goToAccountSetting(url: string): void;
}
//# sourceMappingURL=FrontendSDK.d.ts.map